{
  self,
  prefs,
  ...
}:

let
  inherit (self) inputs;

  mkHome = system: profile: inputs.home-manager.lib.homeManagerConfiguration { 
    pkgs = prefs.nixpkgs system;
    extraSpecialArgs = { inherit self inputs prefs; };
    modules = [ profile ];
  };
in {
  sadorowo = mkHome "x86_64-linux" ./sadorowo;
}
